module Main where

import           Criterion.Main
import qualified Data.ByteString.Lazy as BSL
import           Language.Dhall.Lexer

main :: IO ()
main =
    defaultMain [ env l $ \file ->
                  bgroup "lexDhall"
                      [ bench "lexer" $ nf lexDhall file
                      ]
                ]
    where l = BSL.readFile "test/data/sample.dhall"
