-- | This module contains a dhall lexer.
module Language.Dhall.Lexer ( -- * User functions
                              lexDhall
                            -- * Types
                            , Token
                            , AlexPosn (..)
                            , TokenType (..)
                            , Keyword (..)
                            , Operator (..)
                            , Ann (..)
                            -- * Internal
                            , step
                            , Alex (..)
                            , AlexState (..)
                            ) where

import           Language.Dhall.Lexer.Mod
import           Language.Dhall.Lexer.Types
