{-# LANGUAGE OverloadedStrings #-}

import qualified Data.ByteString.Lazy as BSL
import           Language.Dhall.Lexer
import           Test.Hspec
import           Test.Hspec.Dirstream

isRight :: Either a b -> Bool
isRight Right{} = True
isRight _       = False

main :: IO ()
main = hspec $
    describe "lexDhall" $ parallel $
        testFilesPure "test/data" (hasExtension "dhall") allFiles (FileProc BSL.readFile lexDhall isRight)
